> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/rules/criteria/oses.md).

# OSes

## Get

> Retrieve Criteria OS of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Rules/{ruleId}/Criteria/OSes":{"get":{"tags":["3-Publishing/Filters/Criteria//Operating System"],"summary":"Get","description":"Retrieve Criteria OS of a session server with the specified ID.","operationId":"657dabf9-8c82-41f7-baca-0fa4c22e8ac2","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ruleId","in":"path","description":"The ID of the Rule to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AllowedOperatingSystems"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AllowedOperatingSystems":{"type":"object","properties":{"chrome":{"type":"boolean","description":"<para type=\"description\">Whether Chrome is allowed or not.</para>"},"android":{"type":"boolean","description":"<para type=\"description\">Whether Android is allowed or not.</para>"},"webClient":{"type":"boolean","description":"<para type=\"description\">Whether Web Client is allowed or not.</para>"},"iOS":{"type":"boolean","description":"<para type=\"description\">Whether iOS is allowed or not.</para>"},"linux":{"type":"boolean","description":"<para type=\"description\">Whether Linux is allowed or not.</para>"},"mac":{"type":"boolean","description":"<para type=\"description\">Whether MAC OS is allowed or not.</para>"},"wyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse is allowed or not.</para>"},"windows":{"type":"boolean","description":"<para type=\"description\">Whether Windows is allowed or not.</para>"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Allowed Operating Systems</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify the OS of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PubItems/{id}/Rules/{ruleId}/Criteria/OSes":{"put":{"tags":["3-Publishing/Filters/Criteria//Operating System"],"summary":"Update","description":"Modify the OS of the Criteria settings.","operationId":"eb7bcba5-35cf-463a-94ca-41a7da3d067e","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"ruleId","in":"path","description":"The ID of the Rule to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"OS configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetCriteriaOS"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetCriteriaOS":{"type":"object","properties":{"allowClientChrome":{"type":"boolean","description":"<para type=\"description\">Allow Chrome OS clients.</para>","nullable":true},"allowClientAndroid":{"type":"boolean","description":"<para type=\"description\">Allow Android clients.</para>","nullable":true},"allowClientWeb":{"type":"boolean","description":"<para type=\"description\">Allow Web clients.</para>","nullable":true},"allowClientIOS":{"type":"boolean","description":"<para type=\"description\">Allow IOS clients.</para>","nullable":true},"allowClientLinux":{"type":"boolean","description":"<para type=\"description\">Allow Linux clients.</para>","nullable":true},"allowClientMAC":{"type":"boolean","description":"<para type=\"description\">Allow Mac clients.</para>","nullable":true},"allowClientWindows":{"type":"boolean","description":"<para type=\"description\">Allow Windows clients.</para>","nullable":true},"allowClientWyse":{"type":"boolean","description":"<para type=\"description\">Allow Wyse clients.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/publishing/rules/criteria/oses.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
